# TL02 - List transaction lines

Description

This resource uses seek pagination. The maximum allowed value for parameter limit is 2000.


Call Frequency

Recommended usage: 20 times per day
Maximum usage: 20 times per min, 60 times per hour
Pagination

This resource supports seek pagination (see documentation)

Sort fields

sort field can have the following values:dateCreated (Default) - Sort by creation date (desc by default)lastUpdated - Sort by last updated date (Recommended) (desc by default)

Endpoint: GET /api/sellerpayment/transactions_logs

## Query parameters:

  - `date_created_from` (string)
    Creation date for filtering

  - `date_created_to` (string)
    Creation date for filtering

  - `transaction_date_from` (string)
    Transaction date for filtering

  - `transaction_date_to` (string)
    Transaction date for filtering

  - `last_updated_from` (string)
    Last updated date for filtering

  - `payment_state` (array)
    Payment state for filtering. This parameter can be supplied multiple times.
    Enum: "PENDING", "PAYABLE", "PAID", "NOT_APPLICABLE", "RESERVE"

  - `transaction_type` (array)
    Transaction type for filtering. This parameter can be supplied multiple times.
    Enum: "MANUAL_CREDIT", "MANUAL_CREDIT_VAT", "MANUAL_INVOICE", "MANUAL_INVOICE_VAT", "INVOICEABLE_ONE_OFF_DEBIT", "INVOICEABLE_ONE_OFF_DEBIT_TAX", "INVOICEABLE_ONE_OFF_CREDIT", "INVOICEABLE_ONE_OFF_CREDIT_TAX", "ORDER_AMOUNT", "ORDER_AMOUNT_TAX", "ORDER_SHIPPING_AMOUNT", "ORDER_SHIPPING_AMOUNT_TAX", "COMMISSION_FEE", "COMMISSION_VAT", "REFUND_ORDER_AMOUNT", "REFUND_ORDER_AMOUNT_TAX", "REFUND_ORDER_SHIPPING_AMOUNT", "REFUND_ORDER_SHIPPING_AMOUNT_TAX", "REFUND_COMMISSION_FEE", "REFUND_COMMISSION_VAT", "SUBSCRIPTION_FEE", "SUBSCRIPTION_VAT", "OPERATOR_REMITTED_ORDER_AMOUNT_TAX", "OPERATOR_REMITTED_ORDER_SHIPPING_AMOUNT_TAX", "OPERATOR_REMITTED_REFUND_ORDER_AMOUNT_TAX", "OPERATOR_REMITTED_REFUND_ORDER_SHIPPING_AMOUNT_TAX", "OPERATOR_PAID_ORDER_SHIPPING_AMOUNT", "OPERATOR_PAID_ORDER_SHIPPING_AMOUNT_TAX", "OPERATOR_PAID_REFUND_ORDER_SHIPPING_AMOUNT", "OPERATOR_PAID_REFUND_ORDER_SHIPPING_AMOUNT_TAX", "PAYMENT", "PURCHASE_COMMISSION_FEE", "PURCHASE_SHIPPING_COMMISSION_FEE", "PURCHASE_ORDER_AMOUNT_TAX", "PURCHASE_ORDER_SHIPPING_AMOUNT_TAX", "REFUND_PURCHASE_COMMISSION_FEE", "REFUND_PURCHASE_SHIPPING_COMMISSION_FEE", "REFUND_PURCHASE_ORDER_AMOUNT_TAX", "REFUND_PURCHASE_ORDER_SHIPPING_AMOUNT_TAX", "ORDER_FEE_AMOUNT", "OPERATOR_REMITTED_ORDER_FEE_AMOUNT", "REFUND_ORDER_FEE_AMOUNT", "OPERATOR_REMITTED_REFUND_ORDER_FEE_AMOUNT", "PURCHASE_FEE_COMMISSION_FEE", "REFUND_PURCHASE_FEE_COMMISSION_FEE", "RESERVE_FUNDING", "RESERVE_SETTLEMENT", "SELLER_FEE_ON_ORDER", "SELLER_FEE_ON_ORDER_TAX", "SELLER_PENALTY_FEE", "SELLER_PENALTY_FEE_TAX"

  - `accounting_document_number` (string)
    Accounting document number for filtering.

  - `order_id` (array)
    Order id for filtering. This parameter can be supplied multiple times.

  - `order_line_id` (array)
    Order line id for filtering. This parameter can be supplied multiple times.

  - `order_reference_for_customer` (array)
    A comma-separated list of order references for customer.

  - `order_reference_for_seller` (array)
    A comma-separated list of order references for seller.

  - `accounting_document_id` (string)
    Accounting document id for filtering. This parameter only filter documents requests of the type: SHOP_BILLING_CYCLE_PURCHASE_ORDER.

  - `shop_model` (array)
    Shop model for filtering. This parameter can be supplied multiple times.
    Enum: "MARKETPLACE", "DROPSHIP", "ONE_CREDITOR"

  - `pay_out_psp_codes` (array)
    A comma-separated list of pay-out PSP codes for filtering. This parameter requires the Hybrid pay-out PSP feature to be enabled.
    Enum: "NOT_SPECIFIED", "MANGOPAY", "MIRAKL_PAYOUT", "OPERATOR"

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200 fields (application/json):

  - `data` (array, required)
    Page of data

  - `data.accounting_document_creation_date` (string)
    The related accounting document creation date

  - `data.accounting_document_id` (string)
    The related accounting document id. This field is only available for documents requests of the type: SHOP_BILLING_CYCLE_PURCHASE_ORDER, FEES or ONE_OFF_FEES.

  - `data.accounting_document_number` (string)
    The related accounting document number

  - `data.amount` (number)
    The amount.

  - `data.amount_credited` (number)
    The amount credited.

  - `data.amount_debited` (number)
    The amount debited.

  - `data.balance` (number)
    The balance of the transaction.

  - `data.currency_iso_code` (string)
    The currency of the shop (iso format)

  - `data.date_created` (string)
    Creation date of the transaction line

  - `data.entities` (object)
    Node containing additional information depending on type of the transaction and the domain.

  - `data.entities.channel` (object)
    A node containing channel information

  - `data.entities.channel.code` (string)
    The channel code

  - `data.entities.debit` (object)
    A node containing debit information if any

  - `data.entities.debit.id` (string)
    The debit id

  - `data.entities.domain` (string)
    The domain of the entities related to the transaction line (PRODUCT or SERVICE)

  - `data.entities.fee` (object)
    A node containing seller additional fee information if any

  - `data.entities.fee.cancelations` (array)
    The list of cancelations information if any

  - `data.entities.fee.cancelations.id` (string)
    The Cancelation id if the transaction log is relative to a cancelation

  - `data.entities.fee.code` (string)
    The code of the seller additional fee

  - `data.entities.fee.refunds` (array)
    The list of refunds information if any

  - `data.entities.fee.refunds.id` (string)
    The refund id if the transaction log is relative to a refund

  - `data.entities.manual_accounting_document` (object)
    A node containing manual accounting document information if any

  - `data.entities.manual_accounting_document.number` (string)
    The manual accounting document number.

  - `data.entities.manual_accounting_document.emission_date` (string)
    The manual accounting document emission date.

  - `data.entities.one_off_item` (object)
    A node containing invoiceable one-off item information if any

  - `data.entities.one_off_item.description` (string)
    The description of the invoiceable one-off item

  - `data.entities.one_off_item.operation_date` (string)
    The operation date of the invoiceable one-off item

  - `data.entities.one_off_item.quantity` (integer)
    The quantity of the invoiceable one-off item

  - `data.entities.one_off_item.references` (array)
    The references of the invoiceable one-off item

  - `data.entities.one_off_item.references.type` (string)
    The type of the reference

  - `data.entities.one_off_item.references.value` (string)
    The value of the reference

  - `data.entities.one_off_item.unit_price` (number)
    The unit price of the invoiceable one-off item

  - `data.entities.order` (object)
    A node containing order information if any

  - `data.entities.order.commercial_id` (string)
    The order commercial id

  - `data.entities.order.creation_date` (string)
    The order creation date

  - `data.entities.order.id` (string)
    The order id

  - `data.entities.order.payment_info` (object)
    A node containing payment information

  - `data.entities.order.payment_info.imprint_number` (string)
    The payment imprint number received by OR01 or SOR01

  - `data.entities.order.payment_info.payment_type` (string)
    The payment's type used by the customer to pay this order

  - `data.entities.order.references` (object)
    A node containing order references

  - `data.entities.order.references.order_reference_for_customer` (string)
    Order reference for customer.

  - `data.entities.order.references.order_reference_for_seller` (string)
    Order reference for seller.

  - `data.entities.order_fee` (object)
    A node containing order fee information if any

  - `data.entities.order_fee.code` (string)
    The code of the transaction log fee

  - `data.entities.order_line` (object)
    A node containing order line information if any

  - `data.entities.order_line.id` (string)
    The order line id

  - `data.entities.order_tax` (object)
    A node containing order tax information if any

  - `data.entities.order_tax.code` (string)
    The code of the transaction log tax

  - `data.entities.order_tax.rate` (number)
    Tax rate

  - `data.entities.refund` (object)
    A node containing refund information if any

  - `data.entities.refund.id` (string)
    The refund id if the transaction log is relative to a refund

  - `data.entities.shipment` (object)
    A node containing shipment information if any

  - `data.entities.shipment.id` (string)
    The shipment id if the transaction log is relative to a shipment

  - `data.entities.shop_tax` (object)
    A node containing shop tax information if any

  - `data.entities.shop_tax.code` (string)
    The code of the shop tax applied.  Nb: This field will be set for line of type COMMISSION_VAT, MANUAL_CREDIT_VAT, MANUAL_INVOICE_VAT, REFUND_COMMISSION_VAT, SUBSCRIPTION_VAT

  - `data.entities.shop_tax.rate` (number)
    Shop tax rate applied  Nb: This field will be set for line of type COMMISSION_VAT, MANUAL_CREDIT_VAT, MANUAL_INVOICE_VAT, REFUND_COMMISSION_VAT, SUBSCRIPTION_VATFor backward-compatibility reason, this field will be filled for lines of type COMMISSION_FEE with the rate of the first taxapplied to the shop. In this case, the value should be ignored.

  - `data.entities.transaction_info` (object)
    A node containing transaction information if any

  - `data.entities.transaction_info.date` (string)
    The transaction date.

  - `data.entities.transaction_info.number` (string)
    Transaction number

  - `data.id` (string)
    Identifier of the transaction

  - `data.last_updated` (string)
    Date of last update of the transaction line

  - `data.pay_out_psp_code` (string)
    Pay-out PSP code associated with the transaction.

Enum: "NOT_SPECIFIED", "MANGOPAY", "MIRAKL_PAYOUT", "OPERATOR"

  - `data.payment_state` (string)
    The payment state of the transaction.

Enum: "PENDING", "PAYABLE", "PAID", "NOT_APPLICABLE", "RESERVE"

  - `data.psp_balance` (number)
    The Pay-out balance of the transaction.

  - `data.type` (string)
    Type of transaction (refund, transaction fee, etc ...)

Enum: "MANUAL_CREDIT", "MANUAL_CREDIT_VAT", "MANUAL_INVOICE", "MANUAL_INVOICE_VAT", "INVOICEABLE_ONE_OFF_DEBIT", "INVOICEABLE_ONE_OFF_DEBIT_TAX", "INVOICEABLE_ONE_OFF_CREDIT", "INVOICEABLE_ONE_OFF_CREDIT_TAX", "ORDER_AMOUNT", "ORDER_AMOUNT_TAX", "ORDER_SHIPPING_AMOUNT", "ORDER_SHIPPING_AMOUNT_TAX", "COMMISSION_FEE", "COMMISSION_VAT", "REFUND_ORDER_AMOUNT", "REFUND_ORDER_AMOUNT_TAX", "REFUND_ORDER_SHIPPING_AMOUNT", "REFUND_ORDER_SHIPPING_AMOUNT_TAX", "REFUND_COMMISSION_FEE", "REFUND_COMMISSION_VAT", "SUBSCRIPTION_FEE", "SUBSCRIPTION_VAT", "OPERATOR_REMITTED_ORDER_AMOUNT_TAX", "OPERATOR_REMITTED_ORDER_SHIPPING_AMOUNT_TAX", "OPERATOR_REMITTED_REFUND_ORDER_AMOUNT_TAX", "OPERATOR_REMITTED_REFUND_ORDER_SHIPPING_AMOUNT_TAX", "OPERATOR_PAID_ORDER_SHIPPING_AMOUNT", "OPERATOR_PAID_ORDER_SHIPPING_AMOUNT_TAX", "OPERATOR_PAID_REFUND_ORDER_SHIPPING_AMOUNT", "OPERATOR_PAID_REFUND_ORDER_SHIPPING_AMOUNT_TAX", "PAYMENT", "PURCHASE_COMMISSION_FEE", "PURCHASE_SHIPPING_COMMISSION_FEE", "PURCHASE_ORDER_AMOUNT_TAX", "PURCHASE_ORDER_SHIPPING_AMOUNT_TAX", "REFUND_PURCHASE_COMMISSION_FEE", "REFUND_PURCHASE_SHIPPING_COMMISSION_FEE", "REFUND_PURCHASE_ORDER_AMOUNT_TAX", "REFUND_PURCHASE_ORDER_SHIPPING_AMOUNT_TAX", "ORDER_FEE_AMOUNT", "OPERATOR_REMITTED_ORDER_FEE_AMOUNT", "REFUND_ORDER_FEE_AMOUNT", "OPERATOR_REMITTED_REFUND_ORDER_FEE_AMOUNT", "PURCHASE_FEE_COMMISSION_FEE", "REFUND_PURCHASE_FEE_COMMISSION_FEE", "RESERVE_FUNDING", "RESERVE_SETTLEMENT", "SELLER_FEE_ON_ORDER", "SELLER_FEE_ON_ORDER_TAX", "SELLER_PENALTY_FEE", "SELLER_PENALTY_FEE_TAX"

  - `next_page_token` (string)
    Token to access the next page. Absent if the current page is the last one.

  - `previous_page_token` (string)
    Token to access the previous page. Absent if the current page is the first one.


